Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface DocumentEntryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentEntryTypeImpl

    public interface DocumentEntryType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Entry Type'. This represents the Document Entry metadata for a particular document.

See Also:
  IHE Technical Framework

  The following features are supported:

  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getAuthor Author}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getAvailabilityStatus Availability Status}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getClassCode Class Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getComments Comments}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getConfidentialityCode Confidentiality Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getCreationTime Creation Time}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getEntryUUID Entry UUID}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getEventCode Event Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getFormatCode Format Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getHash Hash}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getHealthCareFacilityTypeCode Health Care Facility Type Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getLanguageCode Language Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getLegalAuthenticator Legal Authenticator}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getMimeType Mime Type}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getParentDocumentRelationship Parent Document Relationship}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getParentDocumentId Parent Document Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getPatientId Patient Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getPracticeSettingCode Practice Setting Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getServiceStartTime Service Start Time}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getServiceStopTime Service Stop Time}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getSourcePatientId Source Patient Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getSize Size}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getSourcePatientInfo Source Patient Info}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getTitle Title}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getTypeCode Type Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getUniqueId Unique Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#getUri Uri}
  - {@link org.eclipse.ohf.ihe.xds.metadata.DocumentEntryType#isExisting Existing}
  , `MetadataPackage.getDocumentEntryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAuthor()` Returns the value of the 'Author' containment reference list.
`AvailabilityStatusType` | `getAvailabilityStatus()` Returns the value of the 'Availability Status' attribute.
`CodedMetadataType` | `getClassCode()` Returns the value of the 'Class Code' containment reference.
`InternationalStringType` | `getComments()` Returns the value of the 'Comments' containment reference.
`CodedMetadataType` | `getConfidentialityCode()` Returns the value of the 'Confidentiality Code' containment reference.
`java.lang.String` | `getCreationTime()` Returns the value of the 'Creation Time' attribute.
`java.lang.String` | `getEntryUUID()` Returns the value of the 'Entry UUID' attribute.
`org.eclipse.emf.common.util.EList` | `getEventCode()` Returns the value of the 'Event Code' containment reference list.
`CodedMetadataType` | `getFormatCode()` Returns the value of the 'Format Code' containment reference.
`java.lang.String` | `getHash()` Returns the value of the 'Hash' attribute.
`CodedMetadataType` | `getHealthCareFacilityTypeCode()` Returns the value of the 'Health Care Facility Type Code' containment reference.
`java.lang.String` | `getLanguageCode()` Returns the value of the 'Language Code' attribute.
`XCN` | `getLegalAuthenticator()` Returns the value of the 'Legal Authenticator' containment reference.
`java.lang.String` | `getMimeType()` Returns the value of the 'Mime Type' attribute.
`java.lang.String` | `getParentDocumentId()` Returns the value of the 'Parent Document Id' attribute.
`ParentDocumentRelationshipType` | `getParentDocumentRelationship()` Returns the value of the 'Parent Document Relationship' attribute.
`CX` | `getPatientId()` Returns the value of the 'Patient Id' containment reference.
`CodedMetadataType` | `getPracticeSettingCode()` Returns the value of the 'Practice Setting Code' containment reference.
`java.lang.String` | `getServiceStartTime()` Returns the value of the 'Service Start Time' attribute.
`java.lang.String` | `getServiceStopTime()` Returns the value of the 'Service Stop Time' attribute.
`java.lang.String` | `getSize()` Returns the value of the 'Size' attribute.
`CX` | `getSourcePatientId()` Returns the value of the 'Source Patient Id' containment reference.
`SourcePatientInfoType` | `getSourcePatientInfo()` Returns the value of the 'Source Patient Info' containment reference.
`InternationalStringType` | `getTitle()` Returns the value of the 'Title' containment reference.
`CodedMetadataType` | `getTypeCode()` Returns the value of the 'Type Code' containment reference.
`java.lang.String` | `getUniqueId()` Returns the value of the 'Unique Id' attribute.
`java.lang.String` | `getUri()` Returns the value of the 'Uri' attribute.
`boolean` | `isExisting()` Returns the value of the 'Existing' attribute.
`boolean` | `isSetAvailabilityStatus()` Returns whether the value of the '`Availability Status`' attribute is set.
`boolean` | `isSetExisting()` Returns whether the value of the '`Existing`' attribute is set.
`boolean` | `isSetParentDocumentRelationship()` Returns whether the value of the '`Parent Document Relationship`' attribute is set.
`void` | `setAvailabilityStatus(AvailabilityStatusType value)` Sets the value of the '`Availability Status`' attribute.
`void` | `setClassCode(CodedMetadataType value)` Sets the value of the '`Class Code`' containment reference.
`void` | `setComments(InternationalStringType value)` Sets the value of the '`Comments`' containment reference.
`void` | `setConfidentialityCode(CodedMetadataType value)` Sets the value of the '`Confidentiality Code`' containment reference.
`void` | `setCreationTime(java.lang.String value)` Sets the value of the '`Creation Time`' attribute.
`void` | `setEntryUUID(java.lang.String value)` Sets the value of the '`Entry UUID`' attribute.
`void` | `setExisting(boolean value)` Sets the value of the '`Existing`' attribute.
`void` | `setFormatCode(CodedMetadataType value)` Sets the value of the '`Format Code`' containment reference.
`void` | `setHash(java.lang.String value)` Sets the value of the '`Hash`' attribute.
`void` | `setHealthCareFacilityTypeCode(CodedMetadataType value)` Sets the value of the '`Health Care Facility Type Code`' containment reference.
`void` | `setLanguageCode(java.lang.String value)` Sets the value of the '`Language Code`' attribute.
`void` | `setLegalAuthenticator(XCN value)` Sets the value of the '`Legal Authenticator`' containment reference.
`void` | `setMimeType(java.lang.String value)` Sets the value of the '`Mime Type`' attribute.
`void` | `setParentDocumentId(java.lang.String value)` Sets the value of the '`Parent Document Id`' attribute.
`void` | `setParentDocumentRelationship(ParentDocumentRelationshipType value)` Sets the value of the '`Parent Document Relationship`' attribute.
`void` | `setPatientId(CX value)` Sets the value of the '`Patient Id`' containment reference.
`void` | `setPracticeSettingCode(CodedMetadataType value)` Sets the value of the '`Practice Setting Code`' containment reference.
`void` | `setServiceStartTime(java.lang.String value)` Sets the value of the '`Service Start Time`' attribute.
`void` | `setServiceStopTime(java.lang.String value)` Sets the value of the '`Service Stop Time`' attribute.
`void` | `setSize(java.lang.String value)` Sets the value of the '`Size`' attribute.
`void` | `setSourcePatientId(CX value)` Sets the value of the '`Source Patient Id`' containment reference.
`void` | `setSourcePatientInfo(SourcePatientInfoType value)` Sets the value of the '`Source Patient Info`' containment reference.
`void` | `setTitle(InternationalStringType value)` Sets the value of the '`Title`' containment reference.
`void` | `setTypeCode(CodedMetadataType value)` Sets the value of the '`Type Code`' containment reference.
`void` | `setUniqueId(java.lang.String value)` Sets the value of the '`Unique Id`' attribute.
`void` | `setUri(java.lang.String value)` Sets the value of the '`Uri`' attribute.
`void` | `unsetAvailabilityStatus()` Unsets the value of the '`Availability Status`' attribute.
`void` | `unsetExisting()` Unsets the value of the '`Existing`' attribute.
`void` | `unsetParentDocumentRelationship()` Unsets the value of the '`Parent Document Relationship`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAuthor

    org.eclipse.emf.common.util.EList getAuthor()

  Returns the value of the 'Author' containment reference list. The list contents are of type `AuthorType`.

  Gets the list of the author person(s) of the document.

  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `MetadataPackage.getDocumentEntryType_Author()`

### getAvailabilityStatus

    AvailabilityStatusType getAvailabilityStatus()

  Returns the value of the 'Availability Status' attribute. The default value is `"Submitted"`. The literals are from the enumeration `AvailabilityStatusType`.

  Returns:
    the value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `isSetAvailabilityStatus()`, `unsetAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`, `MetadataPackage.getDocumentEntryType_AvailabilityStatus()`

### setAvailabilityStatus

    void setAvailabilityStatus(AvailabilityStatusType value)

  Sets the value of the '`Availability Status`' attribute.

  Parameters:
    `value` - the new value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `isSetAvailabilityStatus()`, `unsetAvailabilityStatus()`, `getAvailabilityStatus()`

### unsetAvailabilityStatus

    void unsetAvailabilityStatus()

  Unsets the value of the '`Availability Status`' attribute.

  See Also:
    `isSetAvailabilityStatus()`, `getAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`

### isSetAvailabilityStatus

    boolean isSetAvailabilityStatus()

  Returns whether the value of the '`Availability Status`' attribute is set.

  Returns:
    whether the value of the 'Availability Status' attribute is set.
  See Also:
    `unsetAvailabilityStatus()`, `getAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`

### getClassCode

    CodedMetadataType getClassCode()

  Returns the value of the 'Class Code' containment reference.

  Gets the class code for the document. The class code represents a classification to which this document belongs.

  Returns:
    the value of the 'Class Code' containment reference.
  See Also:
    `setClassCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_ClassCode()`

### setClassCode

    void setClassCode(CodedMetadataType value)

  Sets the value of the '`Class Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Class Code' containment reference.
  See Also:
    `getClassCode()`

### getComments

    InternationalStringType getComments()

  Returns the value of the 'Comments' containment reference.

  Gets the comments related to this document.

  Returns:
    the value of the 'Comments' containment reference.
  See Also:
    `setComments(InternationalStringType)`, `MetadataPackage.getDocumentEntryType_Comments()`

### setComments

    void setComments(InternationalStringType value)

  Sets the value of the '`Comments`' containment reference.

  Parameters:
    `value` - the new value of the 'Comments' containment reference.
  See Also:
    `getComments()`

### getConfidentialityCode

    CodedMetadataType getConfidentialityCode()

  Returns the value of the 'Confidentiality Code' containment reference.

  Gets the confidentiality code for the document.

  Returns:
    the value of the 'Confidentiality Code' containment reference.
  See Also:
    `setConfidentialityCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_ConfidentialityCode()`

### setConfidentialityCode

    void setConfidentialityCode(CodedMetadataType value)

  Sets the value of the '`Confidentiality Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Confidentiality Code' containment reference.
  See Also:
    `getConfidentialityCode()`

### getCreationTime

    java.lang.String getCreationTime()

  Returns the value of the 'Creation Time' attribute.

  Gets the time at which the document was created. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    the value of the 'Creation Time' attribute.
  See Also:
    `setCreationTime(String)`, `MetadataPackage.getDocumentEntryType_CreationTime()`

### setCreationTime

    void setCreationTime(java.lang.String value)

  Sets the value of the '`Creation Time`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Time' attribute.
  See Also:
    `getCreationTime()`

### getEntryUUID

    java.lang.String getEntryUUID()

  Returns the value of the 'Entry UUID' attribute.

  Gets the entryUUID of the document entry. The entryUUID is an internal id used to link the document entry with it's related components (its submission set and folders).

  Returns:
    the value of the 'Entry UUID' attribute.
  See Also:
    `setEntryUUID(String)`, `MetadataPackage.getDocumentEntryType_EntryUUID()`

### setEntryUUID

    void setEntryUUID(java.lang.String value)

  Sets the value of the '`Entry UUID`' attribute.

  Parameters:
    `value` - the new value of the 'Entry UUID' attribute.
  See Also:
    `getEntryUUID()`

### getEventCode

    org.eclipse.emf.common.util.EList getEventCode()

  Returns the value of the 'Event Code' containment reference list. The list contents are of type `CodedMetadataType`.

  Gets the list of event codes that relate to this document. Event codes can be used to further describe the events described in and content of the document.

  Returns:
    the value of the 'Event Code' containment reference list.
  See Also:
    `MetadataPackage.getDocumentEntryType_EventCode()`

### getFormatCode

    CodedMetadataType getFormatCode()

  Returns the value of the 'Format Code' containment reference.

  Gets the format code for this document. The format code indicates the kind of document and is used by consuming applications to determine how to process and consume the document.

  Returns:
    the value of the 'Format Code' containment reference.
  See Also:
    `setFormatCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_FormatCode()`

### setFormatCode

    void setFormatCode(CodedMetadataType value)

  Sets the value of the '`Format Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Format Code' containment reference.
  See Also:
    `getFormatCode()`

### getHash

    java.lang.String getHash()

  Returns the value of the 'Hash' attribute.

  Gets the hash of this document. This is a SHA-1 hash of the entire document.

  Returns:
    the value of the 'Hash' attribute.
  See Also:
    `setHash(String)`, `MetadataPackage.getDocumentEntryType_Hash()`

### setHash

    void setHash(java.lang.String value)

  Sets the value of the '`Hash`' attribute.

  Parameters:
    `value` - the new value of the 'Hash' attribute.
  See Also:
    `getHash()`

### getHealthCareFacilityTypeCode

    CodedMetadataType getHealthCareFacilityTypeCode()

  Returns the value of the 'Health Care Facility Type Code' containment reference.

  Gets the healthcare facility type code of this document. The healthcare facility type indicates the kind of healthcare setting in which the events described in the document take place.

  Returns:
    the value of the 'Health Care Facility Type Code' containment reference.
  See Also:
    `setHealthCareFacilityTypeCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_HealthCareFacilityTypeCode()`

### setHealthCareFacilityTypeCode

    void setHealthCareFacilityTypeCode(CodedMetadataType value)

  Sets the value of the '`Health Care Facility Type Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Health Care Facility Type Code' containment reference.
  See Also:
    `getHealthCareFacilityTypeCode()`

### getLanguageCode

    java.lang.String getLanguageCode()

  Returns the value of the 'Language Code' attribute.

  Gets the language code of the document. This code indicates the predominant written language of the human readable content of the document.

  Returns:
    the value of the 'Language Code' attribute.
  See Also:
    `setLanguageCode(String)`, `MetadataPackage.getDocumentEntryType_LanguageCode()`

### setLanguageCode

    void setLanguageCode(java.lang.String value)

  Sets the value of the '`Language Code`' attribute.

  Parameters:
    `value` - the new value of the 'Language Code' attribute.
  See Also:
    `getLanguageCode()`

### getLegalAuthenticator

    XCN getLegalAuthenticator()

  Returns the value of the 'Legal Authenticator' containment reference.

  Gets the legal authenticator of the document.

  Returns:
    the value of the 'Legal Authenticator' containment reference.
  See Also:
    `setLegalAuthenticator(XCN)`, `MetadataPackage.getDocumentEntryType_LegalAuthenticator()`

### setLegalAuthenticator

    void setLegalAuthenticator(XCN value)

  Sets the value of the '`Legal Authenticator`' containment reference.

  Parameters:
    `value` - the new value of the 'Legal Authenticator' containment reference.
  See Also:
    `getLegalAuthenticator()`

### getMimeType

    java.lang.String getMimeType()

  Returns the value of the 'Mime Type' attribute.

  Gets the mime type of the document.

  Returns:
    the value of the 'Mime Type' attribute.
  See Also:
    `setMimeType(String)`, `MetadataPackage.getDocumentEntryType_MimeType()`

### setMimeType

    void setMimeType(java.lang.String value)

  Sets the value of the '`Mime Type`' attribute.

  Parameters:
    `value` - the new value of the 'Mime Type' attribute.
  See Also:
    `getMimeType()`

### getParentDocumentRelationship

    ParentDocumentRelationshipType getParentDocumentRelationship()

  Returns the value of the 'Parent Document Relationship' attribute. The default value is `"XFRM"`. The literals are from the enumeration `ParentDocumentRelationshipType`.

  Gets the relationship to the parent document, if applicable. If this document is intended to replace, append or transform an existing document, this infomation is encoded here.

  Returns:
    the value of the 'Parent Document Relationship' attribute.
  See Also:
    `ParentDocumentRelationshipType`, `isSetParentDocumentRelationship()`, `unsetParentDocumentRelationship()`, `setParentDocumentRelationship(ParentDocumentRelationshipType)`, `MetadataPackage.getDocumentEntryType_ParentDocumentRelationship()`

### setParentDocumentRelationship

    void setParentDocumentRelationship(ParentDocumentRelationshipType value)

  Sets the value of the '`Parent Document Relationship`' attribute.

  Parameters:
    `value` - the new value of the 'Parent Document Relationship' attribute.
  See Also:
    `ParentDocumentRelationshipType`, `isSetParentDocumentRelationship()`, `unsetParentDocumentRelationship()`, `getParentDocumentRelationship()`

### unsetParentDocumentRelationship

    void unsetParentDocumentRelationship()

  Unsets the value of the '`Parent Document Relationship`' attribute.

  See Also:
    `isSetParentDocumentRelationship()`, `getParentDocumentRelationship()`, `setParentDocumentRelationship(ParentDocumentRelationshipType)`

### isSetParentDocumentRelationship

    boolean isSetParentDocumentRelationship()

  Returns whether the value of the '`Parent Document Relationship`' attribute is set.

  Returns:
    whether the value of the 'Parent Document Relationship' attribute is set.
  See Also:
    `unsetParentDocumentRelationship()`, `getParentDocumentRelationship()`, `setParentDocumentRelationship(ParentDocumentRelationshipType)`

### getParentDocumentId

    java.lang.String getParentDocumentId()

  Returns the value of the 'Parent Document Id' attribute.

  Gets the id of the parent document to this document, if applicable. If this document is intended to replace, append or transform an existing document, this document's entryUUID is represented here.

  Returns:
    the value of the 'Parent Document Id' attribute.
  See Also:
    `setParentDocumentId(String)`, `MetadataPackage.getDocumentEntryType_ParentDocumentId()`

### setParentDocumentId

    void setParentDocumentId(java.lang.String value)

  Sets the value of the '`Parent Document Id`' attribute.

  Parameters:
    `value` - the new value of the 'Parent Document Id' attribute.
  See Also:
    `getParentDocumentId()`

### getPatientId

    CX getPatientId()

  Returns the value of the 'Patient Id' containment reference.

  Gets the shared level (global) id of the patient the document is about.

  Returns:
    the value of the 'Patient Id' containment reference.
  See Also:
    `setPatientId(CX)`, `MetadataPackage.getDocumentEntryType_PatientId()`

### setPatientId

    void setPatientId(CX value)

  Sets the value of the '`Patient Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Patient Id' containment reference.
  See Also:
    `getPatientId()`

### getPracticeSettingCode

    CodedMetadataType getPracticeSettingCode()

  Returns the value of the 'Practice Setting Code' containment reference.

  Gets the practice setting code of this document. The practice setting, more or less, further refines the healthcare facility type code indicates the specific setting inside a healtcare facility in which the events described in the document take place.

  Returns:
    the value of the 'Practice Setting Code' containment reference.
  See Also:
    `setPracticeSettingCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_PracticeSettingCode()`

### setPracticeSettingCode

    void setPracticeSettingCode(CodedMetadataType value)

  Sets the value of the '`Practice Setting Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Practice Setting Code' containment reference.
  See Also:
    `getPracticeSettingCode()`

### getServiceStartTime

    java.lang.String getServiceStartTime()

  Returns the value of the 'Service Start Time' attribute.

  Gets the lower bound time for the events described in the document. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    the value of the 'Service Start Time' attribute.
  See Also:
    `setServiceStartTime(String)`, `MetadataPackage.getDocumentEntryType_ServiceStartTime()`

### setServiceStartTime

    void setServiceStartTime(java.lang.String value)

  Sets the value of the '`Service Start Time`' attribute.

  Parameters:
    `value` - the new value of the 'Service Start Time' attribute.
  See Also:
    `getServiceStartTime()`

### getServiceStopTime

    java.lang.String getServiceStopTime()

  Returns the value of the 'Service Stop Time' attribute.

  Gets the upper bound time for the events described in the document. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    the value of the 'Service Stop Time' attribute.
  See Also:
    `setServiceStopTime(String)`, `MetadataPackage.getDocumentEntryType_ServiceStopTime()`

### setServiceStopTime

    void setServiceStopTime(java.lang.String value)

  Sets the value of the '`Service Stop Time`' attribute.

  Parameters:
    `value` - the new value of the 'Service Stop Time' attribute.
  See Also:
    `getServiceStopTime()`

### getSourcePatientId

    CX getSourcePatientId()

  Returns the value of the 'Source Patient Id' containment reference.

  Gets the institution local id (ex. MRN) of the patient the document is about.

  Returns:
    the value of the 'Source Patient Id' containment reference.
  See Also:
    `setSourcePatientId(CX)`, `MetadataPackage.getDocumentEntryType_SourcePatientId()`

### setSourcePatientId

    void setSourcePatientId(CX value)

  Sets the value of the '`Source Patient Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Patient Id' containment reference.
  See Also:
    `getSourcePatientId()`

### getSize

    java.lang.String getSize()

  Returns the value of the 'Size' attribute.

  The size (in bytes) of the document.

  Returns:
    the value of the 'Size' attribute.
  See Also:
    `setSize(String)`, `MetadataPackage.getDocumentEntryType_Size()`

### setSize

    void setSize(java.lang.String value)

  Sets the value of the '`Size`' attribute.

  Parameters:
    `value` - the new value of the 'Size' attribute.
  See Also:
    `getSize()`

### getSourcePatientInfo

    SourcePatientInfoType getSourcePatientInfo()

  Returns the value of the 'Source Patient Info' containment reference.

  Gets the patient demographics for the patient the document is about.

  Returns:
    the value of the 'Source Patient Info' containment reference.
  See Also:
    `setSourcePatientInfo(SourcePatientInfoType)`, `MetadataPackage.getDocumentEntryType_SourcePatientInfo()`

### setSourcePatientInfo

    void setSourcePatientInfo(SourcePatientInfoType value)

  Sets the value of the '`Source Patient Info`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Patient Info' containment reference.
  See Also:
    `getSourcePatientInfo()`

### getTitle

    InternationalStringType getTitle()

  Returns the value of the 'Title' containment reference.

  Gets the title of the document.

  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `setTitle(InternationalStringType)`, `MetadataPackage.getDocumentEntryType_Title()`

### setTitle

    void setTitle(InternationalStringType value)

  Sets the value of the '`Title`' containment reference.

  Parameters:
    `value` - the new value of the 'Title' containment reference.
  See Also:
    `getTitle()`

### getTypeCode

    CodedMetadataType getTypeCode()

  Returns the value of the 'Type Code' containment reference.

  Gets the type code for the document. The type code represents kind of document within a classification to which this document belongs.

  Returns:
    the value of the 'Type Code' containment reference.
  See Also:
    `setTypeCode(CodedMetadataType)`, `MetadataPackage.getDocumentEntryType_TypeCode()`

### setTypeCode

    void setTypeCode(CodedMetadataType value)

  Sets the value of the '`Type Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Code' containment reference.
  See Also:
    `getTypeCode()`

### getUniqueId

    java.lang.String getUniqueId()

  Returns the value of the 'Unique Id' attribute.

  Gets the global unique ID of the document.

  Returns:
    the value of the 'Unique Id' attribute.
  See Also:
    `setUniqueId(String)`, `MetadataPackage.getDocumentEntryType_UniqueId()`

### setUniqueId

    void setUniqueId(java.lang.String value)

  Sets the value of the '`Unique Id`' attribute.

  Parameters:
    `value` - the new value of the 'Unique Id' attribute.
  See Also:
    `getUniqueId()`

### getUri

    java.lang.String getUri()

  Returns the value of the 'Uri' attribute.

  Gets the URI of the document.

  Returns:
    the value of the 'Uri' attribute.
  See Also:
    `setUri(String)`, `MetadataPackage.getDocumentEntryType_Uri()`

### setUri

    void setUri(java.lang.String value)

  Sets the value of the '`Uri`' attribute.

  Parameters:
    `value` - the new value of the 'Uri' attribute.
  See Also:
    `getUri()`

### isExisting

    boolean isExisting()

  Returns the value of the 'Existing' attribute. The default value is `"false"`.

  Indicates whether this document entry represents a document already existing in the registry. If this is set to true, then the only other attribute of the document entry that needs to be set is the entryUUID.

  Returns:
    the value of the 'Existing' attribute.
  See Also:
    `isSetExisting()`, `unsetExisting()`, `setExisting(boolean)`, `MetadataPackage.getDocumentEntryType_Existing()`

### setExisting

    void setExisting(boolean value)

  Sets the value of the '`Existing`' attribute.

  Parameters:
    `value` - the new value of the 'Existing' attribute.
  See Also:
    `isSetExisting()`, `unsetExisting()`, `isExisting()`

### unsetExisting

    void unsetExisting()

  Unsets the value of the '`Existing`' attribute.

  See Also:
    `isSetExisting()`, `isExisting()`, `setExisting(boolean)`

### isSetExisting

    boolean isSetExisting()

  Returns whether the value of the '`Existing`' attribute is set.

  Returns:
    whether the value of the 'Existing' attribute is set.
  See Also:
    `unsetExisting()`, `isExisting()`, `setExisting(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD